Get the JSON Web Key Set used to verify tokens
1 min
GET
https://api.upstartcommerce.com/.well-known/jwks.json
Responses
200
- JwksResponseDescription
- keysJwkKey[]requiredDescription
- ktystringrequiredExampleDescription
- kidstringrequiredExampleDescription
- usestringrequiredExampleDescription
- algstringrequiredExampleDescription
- nstringrequiredDescription
- estringrequiredExampleDescription
500
- ErrorResponseDescription
- errorstringrequiredExampleDescription
- messagestringrequiredExampleDescription
- codestring<BAD_REQUEST | UNAUTHORIZED | UNAUTHORIZED_TENANT | TENANT_REQUIRED | FORBIDDEN | RATE_LIMITED | ACCOUNT_LOCKED | INTERNAL_SERVER_ERROR>requiredExampleDescriptionAllowedBAD_REQUESTUNAUTHORIZEDUNAUTHORIZED_TENANTTENANT_REQUIREDFORBIDDENRATE_LIMITEDACCOUNT_LOCKEDINTERNAL_SERVER_ERROR
curl
curl --request GET \
--url https://api.upstartcommerce.com/.well-known/jwks.json \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/.well-known/jwks.json", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/.well-known/jwks.json")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/.well-known/jwks.json"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The key set currently valid for verification.
{
"keys": [
{
"kty": "RSA",
"kid": "auth-svc-2026-01",
"use": "sig",
"alg": "RS256",
"n": "",
"e": "AQAB"
}
]
}500
// No signing key is available. Only occurs if the service is configured with a symmetric algorithm, which cannot expose a public key.
{
"error": "unauthorized",
"message": "Invalid username or password",
"code": "UNAUTHORIZED"
}